#!/usr/bin/env sh

echo ""
echo "+-----------------+"
echo "| ./gradlew clean |"
echo "+-----------------+"
echo ""
./gradlew clean

echo ""
echo "+---------------------+"
echo "| ./gradlew shadowJar |"
echo "+---------------------+"
echo ""
./gradlew shadowJar

echo ""
echo "+-----------------------------+"
echo "| cp build/libs/api-all.jar . |"
echo "+-----------------------------+"
echo ""
cp build/libs/api-all.jar .

echo ""
echo "+----------------------------------------+"
echo "| rm -fr build/dist/ simd-api@jvm.tar.gz |"
echo "+----------------------------------------+"
echo ""
rm -fr build/dist/ simd-api@jvm.tar.gz

echo ""
echo "+-----------------------------------------------------------------------------------------------+"
echo "| jpackage --type app-image --input build/libs/ --dest build/dist/ --name com.jaytux.simd.api \\ |"
echo "|          --main-jar ./api-all.jar --main-class com.jaytux.simd.MainKt                         |"
echo "+-----------------------------------------------------------------------------------------------+"
echo ""
jpackage --type app-image --input build/libs/ --dest build/dist/ --name com.jaytux.simd.api \
         --main-jar ./api-all.jar --main-class com.jaytux.simd.MainKt

echo ""
echo "+----------------+"
echo "| rm api-all.jar |"
echo "+----------------+"
echo ""
rm api-all.jar

echo ""
echo "+----------------------------------------------------------------+"
echo "| tar -czf simd-api@jvm.tar.gz -C build/dist com.jaytux.simd.api |"
echo "+----------------------------------------------------------------+"
echo ""
tar -czf simd-api@jvm.tar.gz -C build/dist com.jaytux.simd.api
